﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace _309412_TabControlSample
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			this.myTabControl2.ItemsSource = GenerateItems();
		}

		public List<DataItem> GenerateItems()
		{
			List<DataItem> result = new List<DataItem>();

			for (int i = 0; i < 10; i++)
			{
				DataItem item = new DataItem()
				{
					Header = String.Format("Header {0}", i),
					Content = String.Format("Content {0}", i)
				};
				result.Add(item);
			}
			return result;
		}
	}
	public class DataItem
	{
		public string Header { get; set; }
		public string Content { get; set; }
	}
}
